1. Notes
OrderMesh QA
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  • Schemas
    • Notes
      • /v1/notes
        POST
      • /v1/notes
        GET
      • /v1/notes/{noteId}
        GET
      • /v1/notes/{id}
        PUT
      • /v1/notes/{id}
        DELETE
      • /v1/notes/{id}/auditLogs
        GET
  1. Notes

/v1/notes/{id}/auditLogs

GET
/v1/notes/{id}/auditLogs

Request

Path Params

Query Params

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/notes//auditLogs?resource=undefined&startVersion=undefined&endVersion=undefined'
Response Response Example
200 - Success
{
    "events": [
        {
            "id": "63c9d999-3745-40cd-a7cb-a790d86a2cb9",
            "version": 1720611407969,
            "action": "created",
            "clientId": "note-ms",
            "userId": "939609c3-1728-4c9d-b1f3-128d2a1c30c1",
            "requestId": "0HN50QI5CE4CK:00000001",
            "resource": "{\r\n  \"Content\": \"Customer address issue could not be fixed automatically.\",\r\n  \"CreatedBy\": {\r\n    \"UserId\": \"939609c3-1728-4c9d-b1f3-128d2a1c30c1\",\r\n    \"UserName\": \"Jon Doe\",\r\n    \"IsAdmin\": true\r\n  },\r\n  \"ResourceReference\": {\r\n    \"EntityType\": \"Order\",\r\n    \"EntityId\": \"6686def3cb6eb9b3d1740f96\",\r\n    \"MerchantId\": \"6e0a8bd9-93b1-4f60-9af0-ea9cd5c4756a\",\r\n    \"VendorId\": \"33ba401a-28fd-4129-b335-5cd7b81c45af\"\r\n  },\r\n  \"Id\": \"63c9d999-3745-40cd-a7cb-a790d86a2cb9\",\r\n  \"_Meta\": {\r\n    \"CreatedAt\": \"2024-07-10T11:31:11.3361652Z\"\r\n  }\r\n}"
        }
    ],
    "total": 1
}
Modified at 2026-03-18 19:25:21
Previous
/v1/notes/{id}
Built with